<template>
  <q-card padding class="q-pa-xl relative-center" style="padding-top: 50px">
    <q-form>
    <div class="row justify-center text-bold" style="padding: 20px; font-size: 20px">
      REGISTER OTHER DEVICES
    </div>
    <div class="row justify-center" style="padding: 10px">
      <div class="col-5" style="padding: 10px"><q-select outlined v-model="product" :options="options" label="Product type" /></div>
      <div class="col-5" style="padding: 10px"><q-input outlined id="name" v-model="name" label="Name" /></div>
      <div class="col-5" style="padding: 10px"><q-input outlined v-model="description" label="Description" /></div>
      <div class="col-5" style="padding: 10px"><q-input outlined v-model="serial" label="Serial Number" /></div>
      <div class="col-5" style="padding: 10px"><q-input outlined v-model="model" label="Model" /></div>
      <div class="col-5" style="padding: 10px"><q-input outlined v-model="cost" label="Acquisition Cost" /></div>
      <div class="col-5" style="padding: 10px">
        <q-input outlined v-model="date" mask="date" :rules="['date']" label="Acquisition Date">
          <template v-slot:append>
            <q-icon name="event" class="cursor-pointer">
              <q-popup-proxy ref="qDateProxy" transition-show="scale" transition-hide="scale">
                <q-date v-model="date">
                  <div class="row items-center justify-end">
                    <q-btn v-close-popup label="Close" color="primary" flat />
                  </div>
                </q-date>
              </q-popup-proxy>
            </q-icon>
          </template>
        </q-input></div>
      <div class="col-5" style="padding: 10px"><q-input outlined v-model="status" label="Status" /></div>
      <div class="col-5" style="padding: 10px"><q-input outlined v-model=" qr" label="QR Code" /></div>
      <div class="col-5" style="padding: 10px"><q-input outlined v-model="receipt" label="Official Receipts" /></div>
    </div>
    <div class="row justify-center flex center" style="padding: 20px">
      <div class="col-2" style="padding: 5px"><q-img
      :src="url"
      spinner-color="white"
      style="height: 140px; max-width: 150px"
      /></div>
      <div class="rows" style="padding: 20px; padding-top: 50px"><q-btn color="secondary" label="Register" /></div>
    </div>
    </q-form>
  </q-card>
</template>

<script>
import axios from 'axios'
export default {
  data () {
    return {
      product: null,
      name: '',
      description: '',
      serial: '',
      model: '',
      cost: '',
      date: '',
      status: '',
      qr: '',
      receipt: '',
      text: '',
      options: [
        'Laptop', 'Phone', 'Desktop', 'Printer', 'Trucks'
      ],
      url: 'https://upload.wikimedia.org/wikipedia/commons/d/d0/QR_code_for_mobile_English_Wikipedia.svg'
    }
  },
  // Fetches posts when the component is created.

  async created () {
    // axios.get('http://localhost:1337/laptops')
    //   .then(response => {
    //   // JSON responses are automatically parsed.
    //     this.laptops = response.data
    //   })
    //   .catch(e => {
    //     this.errors.push(e)
    //   })
    // async / await version (created() becomes async created())
    //
    try {
      const response = await axios.get('http://localhost:1337/laptops')
      this.laptops = response.data
    } catch (e) {
      this.errors.push(e)
    }
  }
}
// export default {
//   data () {
//     return {
//       equipments: [
//         // {
//         //   name: 'OPPO A5 2020',
//         //   description: '',
//         //   serial_number: '',
//         //   model: '',
//         //   acquisition_cost: '',
//         //   acquisition_date: '',
//         //   status: '',
//         //   qr_code: '',
//         //   official_receipts: ''
//         // }
//       ],
//       text: '',
//       url: 'https://upload.wikimedia.org/wikipedia/commons/d/d0/QR_code_for_mobile_English_Wikipedia.svg'
//     }
//   }
// }
</script>
<style lang="stylus">
 .rows{
   height: 15px;
   width: 30px;
 }
</style>
